com.smartgwt.client.widgets

## Class Splitbar

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.StatefulCanvas
          - - com.smartgwt.client.widgets.StretchImg
            - - com.smartgwt.client.widgets.Splitbar

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers
  Direct Known Subclasses:
    Snapbar

      public class Splitbar
      extends StretchImg

  Subclass of the `StretchImg` class. As with the `ImgSplitbar` class, widgets of this class can be displayed as a resize-bar for widgets in Layouts where showResizeBar is set to true. Provides a different appearance from the `ImgSplitbar` class.
  To specify the resizeBar class for some layout, use the `resizeBarClass` property.
  See Also:
    `Layout`, `ImgSplitbar`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, id, isElementSet, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Splitbar()`
    `Splitbar(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getCanCollapse()` If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space.
    `java.lang.Boolean` | `getCanDrag()` `canDrag` set to true to allow dragging of the split bar.
    `Cursor` | `getCursor()` Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize.
    `java.lang.String` | `getGripImgSuffix()` Suffix used the 'grip' image if `showGrip` is true.
    `Cursor` | `getHResizeCursor()` Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
    `java.lang.String` | `getHSrc()` Base URL for the image if `vertical` is false and `src` is unset.
    `boolean` | `getInvertClosedGripIfTargetAfter()` If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()`
    `static Splitbar` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowClosedGrip()` If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden.
    `java.lang.Boolean` | `getShowDownGrip()` If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
    `java.lang.Boolean` | `getShowGrip()` Should we show a "grip" image floating above the center of this widget?
    `java.lang.Boolean` | `getShowRollOverGrip()` If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
    `java.lang.String` | `getSrc()` The base URL for the image.
    `java.lang.Boolean` | `getTargetAfter()` Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
    `java.lang.Boolean` | `getVertical()` Is this split bar vertically orientated? When a `Splitbar` is created by a layout to be the resizeBar for some member of the layout, the `vertical` property will be set to `true` if the layout is horizontal, meaning this resizeBar will be taller than it is wide, and will allow horizontal resizing of the member.
    `Cursor` | `getVResizeCursor()` Cursor to display if this Splitbar is to be used for vertical resize of widgets.
    `java.lang.String` | `getVSrc()` Base URL for the image if `vertical` is true and `src` is unset.
    `void` | `setCanCollapse(java.lang.Boolean canCollapse)` If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space.
    `void` | `setCanDrag(java.lang.Boolean canDrag)` `canDrag` set to true to allow dragging of the split bar.
    `void` | `setCursor(Cursor cursor)` Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize.
    `static void` | `setDefaultProperties(Splitbar splitbarProperties)` Class level method to set the default properties of this class.
    `void` | `setGripImgSuffix(java.lang.String gripImgSuffix)` Suffix used the 'grip' image if `showGrip` is true.
    `void` | `setHResizeCursor(Cursor hResizeCursor)` Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
    `void` | `setHSrc(java.lang.String hSrc)` Base URL for the image if `vertical` is false and `src` is unset.
    `void` | `setInvertClosedGripIfTargetAfter(boolean invertClosedGripIfTargetAfter)` If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.SplitbarLogicalStructure s)`
    `void` | `setShowClosedGrip(java.lang.Boolean showClosedGrip)` If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden.
    `void` | `setShowDownGrip(java.lang.Boolean showDownGrip)` If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
    `void` | `setShowGrip(java.lang.Boolean showGrip)` Should we show a "grip" image floating above the center of this widget?
    `void` | `setShowRollOverGrip(java.lang.Boolean showRollOverGrip)` If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
    `void` | `setSrc(java.lang.String src)` The base URL for the image.
    `void` | `setTargetAfter(java.lang.Boolean targetAfter)` Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
    `void` | `setVResizeCursor(Cursor vResizeCursor)` Cursor to display if this Splitbar is to be used for vertical resize of widgets.
    `void` | `setVSrc(java.lang.String vSrc)` Base URL for the image if `vertical` is true and `src` is unset.

    - ### Methods inherited from class com.smartgwt.client.widgets.StretchImg

      `getCapSize, getIgnoreRTL, getImageType, getItemBaseStyle, getItems, getShowTitle, setCapSize, setDefaultProperties, setIgnoreRTL, setImageType, setItemBaseStyle, setItems, setLogicalStructure, setShowTitle, setState, setState, setVertical`

    - ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

      `addToRadioGroup, deselect, getActionType, getAlign, getAutoFit, getBaseStyle, getIcon, getIconHeight, getIconOrientation, getIconSize, getIconWidth, getOverCanvas, getOverCanvasConstructor, getRadioGroup, getRedrawOnStateChange, getSelected, getShowDisabled, getShowDisabledIcon, getShowDown, getShowDownIcon, getShowFocused, getShowFocusedAsOver, getShowFocusedIcon, getShowOverCanvas, getShowRollOver, getShowRollOverIcon, getShowSelectedIcon, getState, getStateSuffix, getTitle, getValign, isSelected, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAlign, setAutoFit, setBaseStyle, setDefaultProperties, setIcon, setIconHeight, setIconOrientation, setIconSize, setIconWidth, setLogicalStructure, setOverCanvasConstructor, setRadioGroup, setRedrawOnStateChange, setSelected, setShowDisabled, setShowDisabledIcon, setShowDown, setShowDownIcon, setShowFocused, setShowFocusedAsOver, setShowFocusedIcon, setShowOverCanvas, setShowRollOver, setShowRollOverIcon, setShowSelectedIcon, setState, setTitle, setTitleStyle, setValign`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addScrolledHandler, addShowContextMenuHandler, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getContentElement, getContents, getContextMenu, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getKeepInParentRect, getLayoutAlign, getLeft, getLeftAsString, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinWidth, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getSkinImgDir, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapResizeToGrid, getSnapTo, getSnapToGrid, getSnapVDirection, getSnapVGap, getStyleName, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseOpacityFilter, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, parentResized, printComponents, redraw, redraw, removeChild, removeChild, removePeer, removePeer, resizeBy, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAllowExternalFilters, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setCanvasItem, setChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setContents, setContextMenu, setDataPath, setDefaultHeight, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlPosition, setImage, setImage, setIsGroup, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinWidth, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setSkinImgDir, setSmoothFade, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToGrid, setSnapTo, setSnapToGrid, setSnapVDirection, setSnapVGap, setStyleName, setTabIndex, setTooltip, setTop, setTop, setUseBackMask, setUseOpacityFilter, setValuesManager, setVisibility, setVisible, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getElement, getElement, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDragTracker, setElement, setHtmlElement, setID, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### Splitbar

          public Splitbar()

    - #### Splitbar

          public Splitbar(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Splitbar getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `StretchImg`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `StretchImg`

    - #### setCanCollapse

          public void setCanCollapse(java.lang.Boolean canCollapse)

      If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space. If the target is already hidden a click will expand it again (showing it at it's normal size).
      Parameters:
        `canCollapse` - canCollapse Default value is true

    - #### getCanCollapse

          public java.lang.Boolean getCanCollapse()

      If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space. If the target is already hidden a click will expand it again (showing it at it's normal size).
      Returns:
        Boolean

    - #### setCanDrag

          public void setCanDrag(java.lang.Boolean canDrag)

      `canDrag` set to true to allow dragging of the split bar. Dragging the Splitbar will resize it's `target`
      Overrides:
        `setCanDrag` in class `Canvas`
      Parameters:
        `canDrag` - canDrag Default value is true
      See Also:
        `Dragdrop overview and related methods`, Drag create Example

    - #### getCanDrag

          public java.lang.Boolean getCanDrag()

      `canDrag` set to true to allow dragging of the split bar. Dragging the Splitbar will resize it's `target`
      Overrides:
        `getCanDrag` in class `Canvas`
      Returns:
        Boolean
      See Also:
        `Dragdrop overview and related methods`, Drag create Example

    - #### setCursor

          public void setCursor(Cursor cursor)

      Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize. To customize the cursor for this class, modify `vResizeCursor` or `hResizeCursor` rather than this property.
      Overrides:
        `setCursor` in class `Canvas`
      Parameters:
        `cursor` - cursor Default value is "hand"
      See Also:
        `Cues overview and related methods`, Drag create Example, Cursors Example

    - #### getCursor

          public Cursor getCursor()

      Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize. To customize the cursor for this class, modify `vResizeCursor` or `hResizeCursor` rather than this property.
      Overrides:
        `getCursor` in class `Canvas`
      Returns:
        Cursor
      See Also:
        `Cues overview and related methods`, Drag create Example, Cursors Example

    - #### setGripImgSuffix

          public void setGripImgSuffix(java.lang.String gripImgSuffix)
                                throws java.lang.IllegalStateException

      Suffix used the 'grip' image if `showGrip` is true.

      Note : This is an advanced setting

      Overrides:
        `setGripImgSuffix` in class `StretchImg`
      Parameters:
        `gripImgSuffix` - . See `String`. Default value is "grip"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getGripImgSuffix

          public java.lang.String getGripImgSuffix()

      Suffix used the 'grip' image if `showGrip` is true.
      Overrides:
        `getGripImgSuffix` in class `StretchImg`
      Returns:
        . See `String`

    - #### setHResizeCursor

          public void setHResizeCursor(Cursor hResizeCursor)
                                throws java.lang.IllegalStateException

      Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
      Parameters:
        `hResizeCursor` - hResizeCursor Default value is "col-resize"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getHResizeCursor

          public Cursor getHResizeCursor()

      Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
      Returns:
        Cursor

    - #### setHSrc

          public void setHSrc(java.lang.String hSrc)
                       throws java.lang.IllegalStateException

      Base URL for the image if `vertical` is false and `src` is unset.
      Overrides:
        `setHSrc` in class `StretchImg`
      Parameters:
        `hSrc` - . See `SCImgURL`. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `StretchImg.setSrc(java.lang.String)`, `StretchImg.setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getHSrc

          public java.lang.String getHSrc()

      Base URL for the image if `vertical` is false and `src` is unset.
      Overrides:
        `getHSrc` in class `StretchImg`
      Returns:
        . See `SCImgURL`
      See Also:
        `StretchImg.getSrc()`, `StretchImg.getVSrc()`, `Appearance overview and related methods`

    - #### setInvertClosedGripIfTargetAfter

          public void setInvertClosedGripIfTargetAfter(boolean invertClosedGripIfTargetAfter)

      If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).

      This property is useful for the case where the grip media is a simple directional arrow. The same image can be used for expanded state on one side of the bar or collapsed state on the other.

      Note : This is an advanced setting

      Parameters:
        `invertClosedGripIfTargetAfter` - invertClosedGripIfTargetAfter Default value is true

    - #### getInvertClosedGripIfTargetAfter

          public boolean getInvertClosedGripIfTargetAfter()

      If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).

      This property is useful for the case where the grip media is a simple directional arrow. The same image can be used for expanded state on one side of the bar or collapsed state on the other.

      Returns:
        boolean

    - #### setShowClosedGrip

          public void setShowClosedGrip(java.lang.Boolean showClosedGrip)
                                 throws java.lang.IllegalStateException

      If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden. Note that if `invertClosedGripIfTargetAfter` is true, we may show the "closed" state when the target is visible, rather than when it is hidden.

      Note : This is an advanced setting

      Parameters:
        `showClosedGrip` - showClosedGrip Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowClosedGrip

          public java.lang.Boolean getShowClosedGrip()

      If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden. Note that if `invertClosedGripIfTargetAfter` is true, we may show the "closed" state when the target is visible, rather than when it is hidden.
      Returns:
        Boolean

    - #### setShowDownGrip

          public void setShowDownGrip(java.lang.Boolean showDownGrip)
                               throws java.lang.IllegalStateException

      If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `showDown` is false.

      Note : This is an advanced setting

      Overrides:
        `setShowDownGrip` in class `StretchImg`
      Parameters:
        `showDownGrip` - showDownGrip Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowDownGrip

          public java.lang.Boolean getShowDownGrip()

      If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `showDown` is false.
      Overrides:
        `getShowDownGrip` in class `StretchImg`
      Returns:
        Boolean

    - #### setShowGrip

          public void setShowGrip(java.lang.Boolean showGrip)
                           throws java.lang.IllegalStateException

      Should we show a "grip" image floating above the center of this widget?

      Note : This is an advanced setting

      Overrides:
        `setShowGrip` in class `StretchImg`
      Parameters:
        `showGrip` - showGrip Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowGrip

          public java.lang.Boolean getShowGrip()

      Should we show a "grip" image floating above the center of this widget?
      Overrides:
        `getShowGrip` in class `StretchImg`
      Returns:
        Boolean

    - #### setShowRollOverGrip

          public void setShowRollOverGrip(java.lang.Boolean showRollOverGrip)
                                   throws java.lang.IllegalStateException

      If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `showRollOver` is false.

      Note : This is an advanced setting

      Overrides:
        `setShowRollOverGrip` in class `StretchImg`
      Parameters:
        `showRollOverGrip` - showRollOverGrip Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowRollOverGrip

          public java.lang.Boolean getShowRollOverGrip()

      If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `showRollOver` is false.
      Overrides:
        `getShowRollOverGrip` in class `StretchImg`
      Returns:
        Boolean

    - #### setSrc

          public void setSrc(java.lang.String src)
                      throws java.lang.IllegalStateException

      The base URL for the image.

      As with `src`, the `State` of the component is added to this URL. Then, the image segment `name` as specified by each `StretchItem` is added.

      For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

      Overrides:
        `setSrc` in class `StretchImg`
      Parameters:
        `src` - . See `SCImgURL`. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `StretchImg.setHSrc(java.lang.String)`, `StretchImg.setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getSrc

          public java.lang.String getSrc()

      The base URL for the image.

      As with `src`, the `State` of the component is added to this URL. Then, the image segment `name` as specified by each `StretchItem` is added.

      For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

      Overrides:
        `getSrc` in class `StretchImg`
      Returns:
        . See `SCImgURL`
      See Also:
        `StretchImg.getHSrc()`, `StretchImg.getVSrc()`, `Appearance overview and related methods`

    - #### setTargetAfter

          public void setTargetAfter(java.lang.Boolean targetAfter)

      Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.

      Note : This is an advanced setting

      Parameters:
        `targetAfter` - targetAfter Default value is null
      See Also:
        `setInvertClosedGripIfTargetAfter(boolean)`

    - #### getTargetAfter

          public java.lang.Boolean getTargetAfter()

      Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
      Returns:
        Boolean
      See Also:
        `getInvertClosedGripIfTargetAfter()`

    - #### getVertical

          public java.lang.Boolean getVertical()
                                        throws java.lang.IllegalStateException

      Is this split bar vertically orientated?
      When a `Splitbar` is created by a layout to be the resizeBar for some member of the layout, the `vertical` property will be set to `true` if the layout is horizontal, meaning this resizeBar will be taller than it is wide, and will allow horizontal resizing of the member.

      Note : This method should be called only after the widget has been rendered.

      Overrides:
        `getVertical` in class `StretchImg`
      Returns:
        Boolean
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.
      See Also:
        `Appearance overview and related methods`

    - #### setVResizeCursor

          public void setVResizeCursor(Cursor vResizeCursor)
                                throws java.lang.IllegalStateException

      Cursor to display if this Splitbar is to be used for vertical resize of widgets.
      Parameters:
        `vResizeCursor` - vResizeCursor Default value is "row-resize"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getVResizeCursor

          public Cursor getVResizeCursor()

      Cursor to display if this Splitbar is to be used for vertical resize of widgets.
      Returns:
        Cursor

    - #### setVSrc

          public void setVSrc(java.lang.String vSrc)
                       throws java.lang.IllegalStateException

      Base URL for the image if `vertical` is true and `src` is unset.
      Overrides:
        `setVSrc` in class `StretchImg`
      Parameters:
        `vSrc` - . See `SCImgURL`. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `StretchImg.setSrc(java.lang.String)`, `StretchImg.setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getVSrc

          public java.lang.String getVSrc()

      Base URL for the image if `vertical` is true and `src` is unset.
      Overrides:
        `getVSrc` in class `StretchImg`
      Returns:
        . See `SCImgURL`
      See Also:
        `StretchImg.getSrc()`, `StretchImg.getVSrc()`, `Appearance overview and related methods`

    - #### setDefaultProperties

          public static void setDefaultProperties(Splitbar splitbarProperties)

      Class level method to set the default properties of this class. If set, then all subsequent instances of this class will automatically have the default properties that were set when this method was called. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will effect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead.

      Parameters:
        `splitbarProperties` - properties that should be used as new defaults when instances of this class are created

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.SplitbarLogicalStructure s)

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `StretchImg`